﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Expression.Interactivity.Layout;
using System.Windows.Browser;
using System.Json;

namespace SilverlightApplication2
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            
         
         
        }

       
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            string dataUrl = HtmlPage.Document.DocumentUri.AbsoluteUri.Replace("Default.aspx", "ClientBin/MyXaml/XamlShow/XamlShow/Test/"+textBox1.Text+".xaml");
            WebClient webClient = new WebClient();
            webClient.DownloadStringAsync(new Uri(dataUrl));
            webClient.DownloadStringCompleted += (sender1, e1) =>
            {
                string xaml = e1.Result;
                try
                {
                    UserControl uc = System.Windows.Markup.XamlReader.Load(xaml) as UserControl;
                    ChildWindow c = new ChildWindow();
                    c.Content = uc;
                    c.Show();
                }
                catch (Exception ee)
                {
                    MessageBox.Show(ee.Message);
                }
            };
        }
    }
}

